import request from '@/utils/request'

// 查询生产过程检验任务列表
export function listQcProduce(query) {
	return request({
		url: '/quality/qcProduce/list',
		method: 'get',
		params: query
	});
}

// 查询生产过程检验任务详细
export function getQcProduce(recordId) {
	return request({
		url: '/quality/qcProduce/' + recordId,
		method: 'get'
		});
}

// 新增生产过程检验任务
export function addQcProduce(data) {
	return request({
		url: '/quality/qcProduce',
		method: 'post',
		data: data
	});
}

// 修改生产过程检验任务
export function updateQcProduce(data) {
	return request({
		url: '/quality/qcProduce',
		method: 'put',
		data: data
	});
}

// 删除生产过程检验任务
export function delQcProduce(recordId) {
	return request({
		url: '/quality/qcProduce/' + recordId,
		method: 'delete'
	});
}
